glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- ~

Here is a list of all class members with links to the classes they belong to:

### - r -

- Rand() : Glib::Rand
- range_check() : Gio::Settings
- RANGE_OUT_OF_ORDER : Glib::RegexError
- raw() : Glib::ustring
- rbegin() : Glib::ustring , Glib::HelperList< T_Child, T_CppElement, T_Iterator >
- read() : Gio::InputStream
- READ : Glib::SpawnError
- read() : Glib::IOChannel , Gio::File
- read_all() : Gio::InputStream
- read_async() : Gio::File , Gio::InputStream
- read_byte() : Gio::BufferedInputStream , Gio::DataInputStream
- read_finish() : Gio::File , Gio::InputStream
- read_int16() : Gio::DataInputStream
- read_int32() : Gio::DataInputStream
- read_int64() : Gio::DataInputStream
- read_line() : Glib::IOChannel , Gio::DataInputStream
- read_line_async() : Gio::DataInputStream
- read_line_finish() : Gio::DataInputStream
- read_name() : Glib::Dir
- READ_ONLY : Gio::Error
- read_to_end() : Glib::IOChannel
- read_uint16() : Gio::DataInputStream
- read_uint32() : Gio::DataInputStream
- read_uint64() : Gio::DataInputStream
- read_until() : Gio::DataInputStream
- read_until_async() : Gio::DataInputStream
- read_until_finish() : Gio::DataInputStream
- read_upto() : Gio::DataInputStream
- read_upto_async() : Gio::DataInputStream
- read_upto_finish() : Gio::DataInputStream
- read_vfunc() : Glib::IOChannel , Glib::StreamIOChannel
- reader_lock() : Glib::StaticRWLock
- reader_trylock() : Glib::StaticRWLock
- reader_unlock() : Glib::StaticRWLock
- ReaderLock() : Glib::RWLock::ReaderLock
- READONLY_FILESYSTEM : Glib::FileError
- receive() : Gio::Socket
- receive_credentials() : Gio::UnixConnection
- receive_fd() : Gio::UnixConnection
- receive_from() : Gio::Socket
- receive_with_blocking() : Gio::Socket
- RecMutex() : Glib::RecMutex
- reference : Glib::DirIterator , Glib::Container_Helpers::ArrayHandleIterator< Tr > , Glib::HelperList< T_Child, T_CppElement, T_Iterator > , Glib::Container_Helpers::ListHandleIterator< Tr > , Glib::Container_Helpers::SListHandleIterator< Tr > , Glib::ustring_Iterator< T > , Glib::ustring , Glib::Container_Helpers::ArrayIterator< Tr > , Glib::Container_Helpers::ListIterator< Tr > , Glib::Container_Helpers::SListIterator< Tr > , Glib::BalancedTree< K, V > , Glib::IOChannel , Glib::Regex , Glib::MainContext , Glib::MainLoop , Glib::Source , Glib::ObjectBase , Gio::DBus::AnnotationInfo , Gio::DBus::ArgInfo , Gio::DBus::MethodInfo , Gio::DBus::SignalInfo , Gio::DBus::PropertyInfo , Gio::DBus::InterfaceInfo , Gio::DBus::NodeInfo , Gio::FileAttributeInfoList , Gio::FileAttributeMatcher
- RefPtr() : Glib::RefPtr< T_CppObject >
- Regex() : Glib::Regex
- RegexError() : Glib::RegexError
- register_object() : Gio::DBus::Connection
- register_subtree() : Gio::DBus::Connection
- release() : Glib::Mutex::Lock , Glib::RecMutex::Lock , Glib::RWLock::ReaderLock , Glib::RWLock::WriterLock , Glib::MainContext
- release_c_type() : Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > > , Glib::Container_Helpers::TypeTraits< T > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >
- release_fd() : Gio::Cancellable
- remount() : Gio::Mount
- remount_finish() : Gio::Mount
- remove() : Glib::BalancedTree< K, V > , Glib::ValueArray , Glib::HelperList< T_Child, T_CppElement, T_Iterator > , Gio::File
- remove_attribute() : Gio::FileInfo
- remove_comment() : Glib::KeyFile
- remove_data() : Glib::Object
- remove_filter() : Gio::DBus::Connection
- remove_group() : Glib::KeyFile
- remove_key() : Glib::KeyFile
- remove_poll() : Glib::Source , Glib::MainContext
- remove_supports_type() : Gio::AppInfo
- rend() : Glib::HelperList< T_Child, T_CppElement, T_Iterator > , Glib::ustring
- replace() : Glib::Regex , Glib::ustring
- REPLACE : Glib::RegexError
- replace() : Glib::ustring , Glib::Regex , Glib::ustring , Gio::File , Glib::ustring
- replace_async() : Gio::File
- replace_contents() : Gio::File
- replace_contents_async() : Gio::File
- replace_contents_finish() : Gio::File
- replace_eval() : Glib::Regex
- replace_finish() : Gio::File
- replace_literal() : Glib::Regex
- replace_readwrite() : Gio::File
- replace_readwrite_async() : Gio::File
- replace_readwrite_finish() : Gio::File
- reply() : Gio::MountOperation
- reserve() : Glib::ustring
- reset() : Glib::Checksum , Glib::RefPtr< T_CppObject > , Glib::Timer , Glib::IConv , Gio::Settings , Glib::ValueBase , Gio::Cancellable
- reset_property_() : Glib::PropertyProxy_Base
- reset_type_associations() : Gio::AppInfo
- reset_value() : Glib::PropertyProxy_WriteOnly< T > , Glib::PropertyProxy< T >
- resize() : Glib::ustring
- resolve_relative_path() : Gio::File
- ResolverError() : Gio::ResolverError
- result_type : Glib::Markup::AttributeKeyLess
- return_dbus_error() : Gio::DBus::MethodInvocation
- return_error() : Gio::DBus::MethodInvocation
- return_value() : Gio::DBus::MethodInvocation
- reverse_children() : Glib::NodeTree< T >
- reverse_iterator : Glib::ustring , Glib::HelperList< T_Child, T_CppElement, T_Iterator >
- revert() : Gio::Settings
- rewind() : Glib::Dir
- rfind() : Glib::ustring
- run() : Glib::MainLoop
- RWLock() : Glib::RWLock